index : static-web-server.git

ascending towards madness

author Jose Quintana <joseluisquintana20@gmail.com> 2020-03-03 14:51:39.0 +00:00:00
committer Jose Quintana <joseluisquintana20@gmail.com> 2020-03-03 14:51:39.0 +00:00:00
commit
478d1009756ca2fe514ed857f60218998012ea6d [patch]
tree
e52d5d14b70d327747333aca490e506e740674b5
parent
20b9fd25c98504a0ae68b6a002b5d76ba1b5fc9a
download
478d1009756ca2fe514ed857f60218998012ea6d.tar.gz

refactor: rename alpine dockerfile template



Diff

 docker/alpine/Dockerfile.tmpl | 26 --------------------------
 docker/alpine/tmpl.Dockerfile | 28 ++++++++++++++++++++++++++++
 2 files changed, 28 insertions(+), 26 deletions(-)

diff --git a/docker/alpine/Dockerfile.tmpl b/docker/alpine/Dockerfile.tmpl
deleted file mode 100644
index 64b509f..0000000
--- a/docker/alpine/Dockerfile.tmpl
+++ /dev/null
@@ -1,26 +0,0 @@
FROM alpine:$ALPINE_VERSION

LABEL maintainer="Jose Quintana <joseluisq.net>"

RUN apk --no-cache add ca-certificates tzdata
RUN set -ex; \
    apkArch="$(apk --print-arch)"; \
    case "$apkArch" in \
    armhf) arch='armv6' ;; \
    aarch64) arch='arm64' ;; \
    x86_64) arch='amd64' ;; \
    *) echo >&2 "error: unsupported architecture: $apkArch"; exit 1 ;; \
    esac;

COPY ./bin/static-web-server /usr/local/bin/
COPY ./public /public
EXPOSE 80
CMD ["static-web-server"]

# Metadata
LABEL org.opencontainers.image.vendor="Jose Quintana" \
    org.opencontainers.image.url="https://github.com/joseluisq/static-web-server" \
    org.opencontainers.image.title="Static Web Server" \
    org.opencontainers.image.description="A blazing fast static files-serving web server powered by Rust Iron." \
    org.opencontainers.image.version="$VERSION" \
    org.opencontainers.image.documentation="https://github.com/joseluisq/static-web-server"
diff --git a/docker/alpine/tmpl.Dockerfile b/docker/alpine/tmpl.Dockerfile
new file mode 100644
index 0000000..9b73267
--- /dev/null
+++ b/docker/alpine/tmpl.Dockerfile
@@ -0,0 +1,28 @@
FROM alpine:$ALPINE_VERSION

LABEL maintainer="Jose Quintana <joseluisq.net>"

RUN apk --no-cache add ca-certificates tzdata
RUN set -ex; \
    apkArch="$(apk --print-arch)"; \
    case "$apkArch" in \
    armhf) arch='armv6' ;; \
    aarch64) arch='arm64' ;; \
    x86_64) arch='amd64' ;; \
    *) echo >&2 "error: unsupported architecture: $apkArch"; exit 1 ;; \
    esac;

COPY ./docker/alpine/entrypoint.sh /
COPY ./bin/static-web-server /usr/local/bin/
COPY ./public /public
EXPOSE 80
ENTRYPOINT ["/entrypoint.sh"]
CMD ["static-web-server"]

# Metadata
LABEL org.opencontainers.image.vendor="Jose Quintana" \
    org.opencontainers.image.url="https://github.com/joseluisq/static-web-server" \
    org.opencontainers.image.title="Static Web Server" \
    org.opencontainers.image.description="A blazing fast static files-serving web server powered by Rust Iron." \
    org.opencontainers.image.version="$VERSION" \
    org.opencontainers.image.documentation="https://github.com/joseluisq/static-web-server"